Bug 21750 - Move collection to its own column in checkins table
Summary: Move collection to its own column in checkins table
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 20194
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-01 15:14 UTC by Nick Clemens
Modified: 2020-09-04 19:47 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 21750: Move collection code to its own column on checkins table (3.93 KB, patch)
2018-11-01 15:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21750: Move collection code to its own column on checkins table (3.98 KB, patch)
2018-11-13 13:05 UTC, Devinim
Details | Diff | Splinter Review
Bug 21750: Move collection code to its own column on checkins table (3.02 KB, patch)
2020-08-20 10:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21750: Move collection code to its own column on checkins table (3.08 KB, patch)
2020-08-20 22:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-11-01 15:14:02 UTC
Currently the collection is displayed as part of the itemtype column.

It should be its own column
Comment 1 Nick Clemens 2018-11-01 15:18:41 UTC
Created attachment 81825 [details] [review]
Bug 21750: Move collection code to its own column on checkins table

To test:
 1 - Set 'ShowAllCheckins' to show
 2 - Set a collcection code for an item
 3 - Check it in
 4 - Note it displays in the the 'Item type' column
 5 - Apply patch
 6 - Check it in again
 7 - Note the new 'Collection' column
 8 - Hide/show the column using column visibility on the checkins page
 9 - Go to Admin->Configure columns
10 - Test the various settings for this column and check in the item to
make sure they work as expected
Comment 2 Devinim 2018-11-13 13:05:09 UTC
Created attachment 82269 [details] [review]
Bug 21750: Move collection code to its own column on checkins table

To test:
 1 - Set 'ShowAllCheckins' to show
 2 - Set a collcection code for an item
 3 - Check it in
 4 - Note it displays in the the 'Item type' column
 5 - Apply patch
 6 - Check it in again
 7 - Note the new 'Collection' column
 8 - Hide/show the column using column visibility on the checkins page
 9 - Go to Admin->Configure columns
10 - Test the various settings for this column and check in the item to
make sure they work as expected

Tested it works as described

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 3 Katrin Fischer 2019-01-13 21:36:47 UTC
Dependency is FQA - moving to BLOCKED for now.
Comment 4 Lisette Scheer 2020-08-19 22:50:08 UTC
The dependency is resolved fix and the patch applied cleanly but didn't add a column either on the returns screen or as an option in column configuration.
Comment 5 Nick Clemens 2020-08-20 10:10:07 UTC
Created attachment 108727 [details] [review]
Bug 21750: Move collection code to its own column on checkins table

To test:
 1 - Set 'ShowAllCheckins' to show
 2 - Set a collcection code for an item
 3 - Check it in
 4 - Note it displays in the the 'Item type' column
 5 - Apply patch
 6 - Check it in again
 7 - Note the new 'Collection' column
 8 - Hide/show the column using column visibility on the checkins page
 9 - Go to Admin->Configure columns
10 - Test the various settings for this column and check in the item to
make sure they work as expected

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 6 Katrin Fischer 2020-08-20 22:14:34 UTC
Created attachment 108762 [details] [review]
Bug 21750: Move collection code to its own column on checkins table

To test:
 1 - Set 'ShowAllCheckins' to show
 2 - Set a collcection code for an item
 3 - Check it in
 4 - Note it displays in the the 'Item type' column
 5 - Apply patch
 6 - Check it in again
 7 - Note the new 'Collection' column
 8 - Hide/show the column using column visibility on the checkins page
 9 - Go to Admin->Configure columns
10 - Test the various settings for this column and check in the item to
make sure they work as expected

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-08-24 10:32:41 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-04 19:47:08 UTC
enhancement will not be backported to 20.05.x